package DocBook::Html::Footnotes;

# Processes DocBook footnote elements: footnote, footnoteref.

# $Id: Footnotes.pm,v 1.3 2005/09/10 12:05:31 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   our @EXPORT = qw(%footnoteData)
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);
use DocBook::Html::Sections qw($currentPageId);


# global variables
our (%footnoteData);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{footnote} = \&footnote;
   $dispatchTable{footnoteref} = \&footnoteref;

   %footnoteData = ();
};


sub footnote ($)
{
   my ($node) = @_;
   my ($footnote, $count, $result, $linkend);
   
   $footnote = processChildren($node);

   push(@{$footnoteData{$currentPageId}}, $footnote);
   $count = scalar(@{$footnoteData{$currentPageId}});
   $linkend = "footnote.$currentPageId.$count";
   $result = "<a href=\"#$linkend\">[$count]</a>\n";

   return $result;
}


sub footnoteref ($)
{
   my ($node) = @_;
   my ($result, $linkend);

   $linkend = $node->attribute('linkend');

   $result = "Link to footnote with id '$linkend'. ";

   $result .= processChildren($node);  # should be empty

   return $result;
}


return 1;
