package DocBook::Html::Inline;

# Processes DocBook inline elements requiring special treatment: abbrev,
# acronym.

# $Id: Inline.pm,v 1.2 2005/07/10 11:31:45 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   #our @EXPORT = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{abbrev} = \&abbrev;
   $dispatchTable{acronym} = \&abbrev;
};


sub abbrev ($)
{
   my ($node) = @_;
   my ($result, $parent);
   
   $parent = $tagStack[1];

   if ($parent eq 'glossentry') {
      $result .= "(";
   }
   
   $result .= processChildren($node);

   if ($parent eq 'glossentry') {
      $result .= ")";
   }

   return $result;
}


return 1;
