package DocBook::Html::Text;

# Processes DocBook text elements: cdata, text.

# $Id: Text.pm,v 1.2 2005/07/10 11:31:45 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{':cdata:'} = \&cdata;
   $dispatchTable{':text:'} = \&text;
};


sub cdata ($)
{
   my ($node) = @_;
   my ($cdata, $parent);

   $cdata = $node->cdata();
   $cdata =~ s/^\s+//;  # clip enclosing white space
   $cdata =~ s/\s+$//;
   $parent = $tagStack[1];
   if ($parent ne 'html') {
      $cdata =~ s/</&lt;/g;  # protect '<' and '>'
      $cdata =~ s/>/&gt;/g;
   }

   return $cdata;
}


sub text ($)
{
   my ($node) = @_;
   my ($text);

   $text = $node->text();
   
   $text =~ s/£/&pound;/g;  # protect '£'

   return $text;
}


return 1;
