package DocBook::Html::Verbatim;

# Processes DocBook verbatim elements: literallayout, programlisting, screen.

# $Id: Verbatim.pm,v 1.3 2005/09/10 12:05:32 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   our @EXPORT = qw($shadeVerbatim)
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);

our ($shadeVerbatim);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{literallayout} = \&verbatim;
   $dispatchTable{programlisting} = \&verbatim;
   $dispatchTable{screen} = \&verbatim;

   if (!defined($shadeVerbatim)) {
      $shadeVerbatim = 1;
   }
};


sub verbatim ($)
{
   my ($node) = @_;
   my ($result, $verbatim);
   
   $result = "<pre>";

   $verbatim = processChildren($node);
   $verbatim =~ s/^\s+//;  # strip leading and trailing space
   $verbatim =~ s/\s+$//;

   $result .= $verbatim;
   $result .= "</pre>\n";

   return $result;
}


return 1;
