package DocBook::Latex::Footnotes;

# Processes DocBook footnote elements: footnote, footnoteref.

# $Id: Footnotes.pm,v 1.2 2005/07/10 11:31:47 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{footnote} = \&footnote;
   $dispatchTable{footnoteref} = \&footnoteref;
};


sub footnote ($)
{
   my ($node) = @_;
   my ($result);
   
   $result = "\\footnote{";

   $result .= processChildren($node);

   $result .= "}";

   return $result;
}


sub footnoteref ($)
{
   my ($node) = @_;
   my ($result, $linkend);

   $linkend = $node->attribute('linkend');

   $result = "Link to footnote with id '$linkend'. ";

   $result .= processChildren($node);  # should be empty

   return $result;
}


return 1;
