package DocBook::Latex::Titles;

# Processes DocBook title element.

# $Id: Titles.pm,v 1.2 2005/07/10 11:31:47 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);
use DocBook::Latex::Tables qw(%table);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{title} = \&title;
};


sub title ($)
{
   my ($node) = @_;
   my ($result, $parent);

   $parent = $tagStack[1];
   if (($parent eq 'book') || 
       ($parent eq 'article')) {
      $result = "\\title{";
   } elsif ($parent eq 'table') {
      $result = '';
   } else {
      $result = "{";
   }

   $result .= processChildren($node);

   $parent = $tagStack[1];
   if (($parent eq 'book') || 
       ($parent eq 'article')) {
      $result .= "}\n";
      $result .= "\\maketitle\n";
      $result .= "\\tableofcontents\n";
      #$result .= "\\listoffigures\n";
      #$result .= "\\listoftables\n";
      $result .= "\\vspace{3.0ex}";
   } elsif ($parent eq 'table') {
      $table{name} = $result;
      $result = '';
   } else {
      $result .= "}\n";
   }

   return $result;
}


return 1;
