package DocBook::Latex::Verbatim;

# Processes DocBook verbatim elements: literallayout, programlisting, screen.

# $Id: Verbatim.pm,v 1.2 2005/07/10 11:31:47 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{literallayout} = \&verbatim;
   $dispatchTable{programlisting} = \&verbatim;
   $dispatchTable{screen} = \&verbatim;
};


# sub verbatim():
# In Text::text(), white space is untouched if the parent is a verbatim 
# element, so processChildren() here preserves white space.

sub verbatim ($)
{
   my ($node) = @_;
   my ($result, $temp);
   
   $result = "\\begin{Verbatim}[frame=single,framesep=2mm]\n";

   $result .= processChildren($node);

   $result .= "\\end{Verbatim}\n";

   return $result;
}


return 1;
