package DocBook::Rtf::Titles;

# Processes DocBook title element.

# $Id: Titles.pm,v 1.1 2005/07/10 11:26:43 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);
use DocBook::Rtf::Tables qw(%table);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{title} = \&title;
};


sub title ($)
{
   my ($node) = @_;
   my ($result, $parent);

   $parent = $tagStack[1];
   if (($parent eq 'book') || 
       ($parent eq 'article')) {
      $result = "{\\pard\\qc\\sa300\\fs32\\cf1\\b\n";
   } elsif ($parent eq 'table') {
      #$result = '';
   } else {
      $result = "{\\pard\\sa300\\fs24\\cf2\\b\n";
   }

   $result .= processChildren($node);

   $parent = $tagStack[1];
   if (($parent eq 'book') || 
       ($parent eq 'article')) {
      $result .= "\\par}\n";
   } elsif ($parent eq 'table') {
      $table{name} = $result;
      #$result = '';
   } else {
      $result .= "\\par}\n";
   }

   return $result;
}


return 1;
