package DocBook::Rtf::Verbatim;

# Processes DocBook verbatim elements: literallayout, programlisting, screen.

# $Id: Verbatim.pm,v 1.1 2005/07/10 11:26:38 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{literallayout} = \&verbatim;
   $dispatchTable{programlisting} = \&verbatim;
   $dispatchTable{screen} = \&verbatim;
};


# sub verbatim:
# In Text::text(), white space is untouched if the parent is a verbatim 
# element, so processChildren() here preserves white space.

sub verbatim ($)
{
   my ($node) = @_;
   my ($text, $result);
   
   $result = "{\\shading50\\f1\\line\n";

   $text = processChildren($node);
   $text =~ s/\n/\\line /g;

   $result .= $text;
   $result .= "\\line}\n";

   return $result;
}


return 1;
