package Extensions::Html::Math;

# $Id $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   our @EXPORT = qw($generateGraphics);
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);

our ($mathId, $generateGraphics);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{math} = \&math;

   # user parameters
   if (!defined($generateGraphics)) {
      $generateGraphics = 1;
   }

   $mathId = 0;
};



# sub math:
# Passes latex markup into the output stream. Intended to be used for maths!

sub math ($$)
{
   my ($node) = @_;
   my ($math, $result, $fileName);
   
   $math = processChildren($node);

   $fileName = "math$mathId";
   $mathId++;  # should be unique to particular math expression
   if ($generateGraphics) {  # can be disabled in config file for speed
      # generate image file
      open(FILE, ">$fileName.tex") or die("can't open $fileName.tex\n");
      print(FILE $math);
      close(FILE) or die("can't close $fileName.tex\n");
      system("/home/jstorrs/bin/tex2im -r 100 $fileName.tex; rm $fileName.tex");
      system("mv $fileName.png ../graphics");
   }

   #$result = "<center><img src=\"graphics/$fileName.png\"></center>\n";
   $result = "<img class=\"math\" src=\"graphics/$fileName.png\">\n";

   return $result;
}


return 1;
