package Extensions::Latex::Layout;

# Processes page layout elements: newline, newpage.

# $Id: Layout.pm,v 1.2 2005/07/10 11:32:07 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{newline} = \&newline;
   $dispatchTable{newpage} = \&newpage;
};


# sub newpage:
# puts a new page command in the output stream.

sub newline ($)
{
   my ($node) = @_;
   my ($dummy);
   
   $dummy = processChildren($node);  # should be empty

   return "\n\n\\newline\n\n";
}


sub newpage ($)
{
   my ($node) = @_;
   my ($dummy);
   
   $dummy = processChildren($node);  # should be empty

   return "\n\n\\newpage\n\n";
}


return 1;
