package Extensions::Latex::Math;

# Processes elements which pass latex markup into the output stream: math.

# $Id: Math.pm,v 1.2 2005/07/10 11:32:07 lme Exp $


use strict;

BEGIN {
   require Exporter;
   our @ISA = qw(Exporter);
   # our @EXPORT_OK = qw()
}

use LME::XmlNode;
use Publish qw(processChildren %dispatchTable @tagStack);


sub initialize ()
{
   # build dispatch table
   $dispatchTable{math} = \&math;
};


# sub math:
# Passes latex markup into the output stream. Intended to be used for maths!

sub math ($)
{
   my ($node) = @_;
   my ($math);
   
   $math = processChildren($node);

   # fix Latex fix!
   $math =~ s/\\\$/\$/g;
   $math =~ s/\\\&/&/g;
   $math =~ s/\\\%/%/g;
   $math =~ s/\\\#/#/g;
   $math =~ s/\\\_/_/g;
   $math =~ s/\\\{/{/g;
   $math =~ s/\\\}/}/g;
   $math =~ s/\\\~/~/g;
   $math =~ s/\\\^/^/g;

   return $math;
}


return 1;
